Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Public Types | List of all members
HideIIDBase Struct Reference

A base class which hides the FUnknown::iid static var. More...

`#include <funknownimpl.h>`

Inheritance diagram for HideIIDBase:

## Public Types
using | iid = void

## Additional Inherited Members
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
| Query for a pointer to the specified interface.
virtual uint32 | addRef ()=0
| Adds a reference and returns the new reference count.
virtual uint32 | release ()=0
| Releases a reference and returns the new reference count.
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

A base class which hides the FUnknown::iid static var.

## Member Typedef Documentation

using iid = void

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.